/* Custom CSS/Styles */
:root{
	--color-lightseagreen: lightseagreen;
	--color-theme-blue: #046bd2;
}
/* Testimonials Slider - CSS */
.testimonials_slider_item {
	margin-inline: 5px;
	/* box-shadow: 0 0 10px -5px; */
	border-radius: 5px;
	overflow: hidden;
	height: inherit !important;
}
.testimonials_slider_item_header {
	text-align: center;
}
.testimonials_slider_item_thumbnail_wrap {
	margin-bottom: 20px;
}
.testimonials_slider_item_hero_name,
.testimonials_slider_item_hero_designation {
	margin-bottom: 0 !important;
}
.testimonials_slider_item_review_title {
	margin-bottom: 10px !important;
}
.testimonials_slider_item_thumbnail_img {
	width: 100px !important;
	aspect-ratio: 1/1;
	object-fit: cover;
	border-radius: 50%;
	display: inline-block !important;
	text-align: center;
	background-color: chocolate;
}
.testimonials_slider_item_review_rating_img {
	width: 60px;
}
.testimonials_slider a{
	text-decoration: none !important;
}
.testimonials_slider a:hover{
	color: black !important;
}
.testimonials_slider_item_meta {
	padding: 30px 15px;
}
.testimonials_slider .slick-list {
	padding-bottom: 10px;
}
.testimonials_slider .slick-track {
	display: flex;
}
.testimonials_slider .slick-arrow {
	position: absolute;
	top: 50%;
	font-size: 0;
	padding: 5px;
	width: 25px;
	height: 25px;
	/* border-radius: 100%; */
	line-height: 1;
	background-color: #f7f7f7 !important;
	transition: all .3s ease;
}
.testimonials_slider .slick-prev {
	left: -10px;
}
.testimonials_slider .slick-next {
	right: -10px;
}
.testimonials_slider .slick-dots {
	display: flex;
	gap: 5px;
	justify-content: center;
	margin-top: 30px !important;
	padding: 0 !important;
	margin-left: 0;
}
.testimonials_slider .slick-dots button {
	padding: 0px !important;
	border-radius: 100%;
	line-height: 1;
	width: 10px;
	aspect-ratio: 1/1;
	font-size: 0;
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: #fff;
	transition: all .3s ease;
	border: 2px solid;
}
.testimonials_slider .slick-dots li button:hover,
.testimonials_slider .slick-dots li.slick-active button{
	background-color: #3F4B5D !important;
}
/* Adding arrows to prev/next slick buttons */
.testimonials_slider .slick-arrow::before{
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	display: block;
	font: 14px / 1 FontAwesome;
	font-size: 18px !important;
	color: #3F4B5D;
}
.testimonials_slider .slick-prev::before{
	content: '\f104';
}
.testimonials_slider .slick-next::before{
	content: '\f105';
}
.testimonials_slider .slick-disabled {
	opacity: 0.5;
	cursor: not-allowed;
}

/* Portfolio CSS */
.portfolio-filters {
    text-align: center;	
    margin-bottom: 20px;
}
.filter-button {
    margin: 5px;
    padding: 10px 20px;
    background-color: #333;
    color: #fff;
    border: none;
    cursor: pointer;
}
.filter-button.active {
	background: var(--color-theme-blue) !important;
}
.portfolio-item {
	position: relative;
    overflow: hidden;
}
.portfolio-item img {
	max-width: 100%;
	height: auto;
	width: 100%;
	display: block;
	object-fit: cover;
	background-color: chocolate;
}
.portfolio-item-text {
	position: absolute;
	inset: 0;
	background-color: rgba(0, 0, 0, 0.5);
	overflow: hidden;
	transition: all 1s ease;
	display: flex;
	justify-content: center;
	align-items: center;
	text-decoration: none !important;
}
.portfolio-item .portfolio-item-title {
	margin: 0;
	color: white !important;
}
.portfolio-item:nth-child(odd) .portfolio-item-text  {
	transform: translate(-100%, 100%);
}
.portfolio-item:nth-child(even) .portfolio-item-text  {
	transform: translate(100%, 100%);
}
.portfolio-item-wrap:hover .portfolio-item-text{
	transform: translate(0);
}
/* Layout: Grid */
.layout_grid .portfolio-items {
	display: flex;
	flex-wrap: wrap;
}
.layout_grid .portfolio-item {
    width: calc(25% - 10px);
    margin-right: 10px;
    margin-bottom: 10px;
    transition: all 1s ease;
}
.portfolio-item:not(.active){
	margin-right: 0;
    margin-bottom: 0;
}
.layout_grid .portfolio-item img{
	aspect-ratio: 1 / 1;
}
/* Layout: Masonry */
.layout_masonry .portfolio-items {
  margin: 0;
  -webkit-column-count: 4; 
  -moz-column-count: 4;
  column-count: 4;
  -webkit-column-gap: 5px;
  -moz-column-gap: 5px;
  column-gap: 10px;
  overflow: hidden;
}
.layout_masonry .portfolio-item {
    display: none;
}
.wise_menu_page_title {
	font-weight: 700 !important;
}
.welcome_message {
	font-weight: 100;
	font-style: italic;
	font-size: 14px;
	display: block;
}
#wise_menu_page button {
	padding: 5px;
	cursor: pointer;
	font-weight: 600;
}
#wise_menu_page button[disabled] {
	cursor: not-allowed !important;
}
.cpt_delete_btn {
	background-color: #d63638;
	color: white !important;
	border: none;
	border-radius: 5px;
}
#wise_menu_page th {
	font-weight: 700;
}
#cpt_area,
#portfolio_area,
#shortcodes {
	margin-block: 20px;
}
#wiselogix-message .notice{
	padding: 10px;
}
#wiselogix_module_cpt_form {
	margin-bottom: 20px;
}
.portfolio_enabled_tick {
	color: green;
	font-size: 26px;
	font-weight: 700;
}
/* FBM CSS ended. */



@media only screen and (min-width: 922px){
.fixed-header {
    position: fixed;
    width: 100%;
    top: 0;
	-webkit-transition: all .4s ease;
    transition: all .4s ease;
	box-shadow: 0px 1px 10px rgb(0 0 0 / 30%);
}
}

/* customizer css */

/* Akram css start */
#text-3 p {
    width: 100%;
    max-width: 211px;
}
.ast-container,
.site-primary-footer-inner-wrap{
	max-width: 100% !important;
}
footer .ast-footer-html-1 .ast-builder-html-element {
	display: flex;
	justify-content: space-between;
	align-items: center;
	gap: 30px;
}
footer .ast-footer-html-1 a {
	background: #000000;
	color: #ffffff;
	border: 2px solid #000000 !important;
	border-radius: 20px;
	/* 	margin-top: 15px !important; */
	padding: 5px 20px;
	display: inline-block;
}
footer .ast-footer-html-1 a:hover{
	color: #000000;
	background: #ffffff;
}
footer .social-item-label {
	line-height: 26px;
}
.footer-social-item {
	justify-content: flex-start;
	/* 	row-gap: 14px; */
}
.footer-social-item span.ast-inline-flex {
	margin: 7px 0 auto 0;
	text-align: left !important;
	flex-wrap: nowrap !important;
}
.footer-social-inner-wrap a {
	margin: 0 !important;
	padding: 0 !important;
	display: flex;
	flex-wrap: nowrap;
}
.single-projects p,
.decs_text{
	font-size:18px;
	font-weight:700;
}
.single-projects .read-more-btn {
	display: none;
}
.single-projects .post-thumb,
.single-projects .entry-content,
.single-projects .entry-content > div{
	margin: 0 !important;
}
.single-projects .post-navigation {
	max-width: 1200px;
	width: 100%;
	margin: auto;
	border: 0;
}
.single-projects .entry-title{
	max-width: 1200px;
	width: 100%;
	margin: auto;
	padding-top:2%;
	padding-bottom:2%;
	padding-right: 300px;
}
.single_page_galllery .gallery-item {
	box-shadow: none;
}
.banner_heading .elementor-heading-title {
	font-size: 90px;
	font-weight: 900;
	max-width: 900px;
	width: 100%;
}
.decs_text p{
	max-width:900px;
	width:100%;
}
.custom-logo-link {
	background: url(https://lightcyan-koala-378344.hostingersite.com/wp-content/uploads/2026/05/Build-QLDC-logo.png);
	background-size: contain;
	background-repeat: no-repeat;
	height: fit-content;
	display: block;
}
footer figcaption {
	text-align: left !important;
}
.footer-social-inner-wrap {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	gap: 12px;
}
.footer-social-inner-wrap a{
	margin:0 !important;
	padding:0 !important;
}
footer h2 {
	font-size: 22px;
	text-align: left;
	margin-bottom: 1em;
}
footer li {
	line-height: normal;
	margin-bottom: 6px;
}
footer figure {
	margin-bottom: 0 !important;
}
.home_marquee marquee {
	font-size: 118px;
	line-height: normal;
	color: #ffffff;
	font-weight: 700;
}
.main_heading  .elementor-heading-title {
	font-size: 62px;
	line-height: 62px !important;
	max-width: 900px;
	width:100%;
}
.section_heading .elementor-heading-title {
	color: #ffffff;
	text-transform: uppercase;
	font-size: 18px;
}
.projects-wrapper {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 20px;
}
.projects_item .title-part{
	color: #ffffff;
	text-transform: uppercase;
	font-size: 18px;
	font-weight: 700;
	margin-bottom: 15px;
}
.projects_item a:hover .title-part {
	color: #CE8526;
	text-decoration: underline;
}
.ast-footer-html-1 * {
	font-size: 18px;
	font-weight: 700;
	margin: 0;
	text-align:left;
}
.ast-footer-html-1 li {
	list-style: disc;
	margin-left: 17px;
}

.img_box_wrapper .elementor-image-box-title{
	text-transform: uppercase;
}

.img_box_wrapper .elementor-image-box-title,
.img_box_wrapper p{
	font-size: 18px;
	font-weight: 700;
}
.img_box_wrapper .elementor-image-box-wrapper {
	position: relative;
	overflow: hidden;
	height: 400px;
}
.img_box_wrapper .elementor-image-box-content {
	position: absolute;
	top: 100%;
	background: #ffffff;
	height: stretch;
	-webkit-transition: all 0.5s;
	transition: all 0.5s;
}
.img_box_wrapper .elementor-image-box-wrapper:hover .elementor-image-box-content {
	top: 0;
	padding: 24px;
}
.img_box_wrapper img {
	height: -webkit-fill-available;
	object-fit: cover;
}
.img_box_wrapper .elementor-image-box-img {
	height: -webkit-fill-available;
	margin-bottom: 0 !important;
}

/* .img_box_wrapper{
display: grid;
grid-template-columns: 1fr 20% 20%;
} */

/* odd row */

.img_box_wrapper > :nth-child(6n+1){
	grid-column: 1;
}

.img_box_wrapper > :nth-child(6n+2){
	grid-column: 2;
}

.img_box_wrapper > :nth-child(6n+3){
	grid-column: 3;
}

/* even row */

.img_box_wrapper > :nth-child(6n+4){
	grid-column: 1;
}

.img_box_wrapper > :nth-child(6n+5){
	grid-column: 2;
}

.img_box_wrapper > :nth-child(6n+6){
	grid-column: 3;
}

.projects_section .projects_item .title-part {
	color: #000000;
}
.projects_item a {
	text-decoration: none !important;
}

@media (max-width:921px){
	.accord_heading h2{
		font-size: 52px !important;
		line-height: 72px !important;
	}
	.single-projects .post-navigation{
		padding: 30px 10px 20px !important;
	}
	.single-projects .entry-title{
		padding:4% 10px;
		line-height:80px !important;
	}
	.img_box_wrapper{
		grid-template-columns:1fr 1fr;
	}
	.banner_heading .elementor-heading-title {
		font-size: 72px;
	}
	.img_box_wrapper > *{
		grid-column:auto !important;
	}
	.home_marquee marquee {
		font-size: 82px;
	}
	.main_heading  .elementor-heading-title {
		font-size: 48px;
		line-height: 48px !important;
	}
	.ast-footer-html-1 {
		padding: 0 10px;
	}
	.single_page_galllery .gallery-item {
		max-width: 50% !important;
	}	
}

@media (max-width:767px){
	footer .ast-footer-html-1 .ast-builder-html-element {
		align-items: start;
		gap: 20px;
		flex-direction: column;
	}
	.sec_heading h2 {
		font-size: 42px;
	}
	.accord_heading h2 {
		font-size: 42px !important;
		line-height: 72px !important;
	}
	.single_page_galllery .gallery-item {
		max-width: 100% !important;
	}	
	.accord_heading h2 {
		font-size: 40px;
		line-height: 1em !important;
		font-weight: 700;
	}
	/* 	.about_accord .e-n-accordion-item-title-text {
	font-size: 40px;
} */
	.single-projects .nav-links {
		padding: 0 !important;
	}
	.single-projects .entry-title{
		line-height:60px !important;
	}
	.banner_heading .elementor-heading-title {
		font-size: 52px;
	}
	.home_marquee marquee {
		font-size: 62px;
	}
	.main_heading  .elementor-heading-title {
		font-size: 32px;
		line-height: 32px !important;
	}
	.projects-wrapper {
		grid-template-columns: repeat(1, 1fr);
	}
	.img_box_wrapper{
		grid-template-columns:1fr;
	}
}


/* contact page */
.left-right-wrapper {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	grid-gap: 15px;
}
.form-wrapper-field p {
	display: flex;
	height: auto;
	align-items: center;
	margin-bottom:0;
}
.form-wrapper-field input,
.form-wrapper-field input:focus{
	background: transparent;
	border: none !important;
	outline: none;
	box-shadow: none;
	color:#181818;
}
.form-wrapper-field textarea {
	background: transparent;
	border: none !important;
	outline: none;
	box-shadow: none;
	height: 130px;
	padding-top: 0 !important;
	padding-bottom: 0 !important;
	color:#181818;
}
.form-wrapper-field {
	border-bottom: 1px solid #1e293b4a;
	margin: 0 0 26px 0;
	position:relative;
}
.form-wrapper-field:before{
	content:'';
	display: block;
	position:absolute;
	left:0;
	bottom:0;
	height:1px;
	width:0;
	background:#1E293B;
	margin:auto;
	transition-duration: 1s;
}
.form-wrapper-field:focus-within:before,
.form-wrapper-field:hover:before{
	width:100%;
}
.full-width-section .form-wrapper-field p {
	align-items: start;
}
.full-width-section .wpcf7-submit{
	background: #000000;
	color: #ffffff;
	border: 2px solid #000000 !important;
	border-radius: 20px;
	margin-top: 20px;
}

.full-width-section .wpcf7-submit:hover,
.full-width-section .wpcf7-submit:focus{
	color: #000000;
	background: #ffffff;
}
.form-wrapper-field  ::placeholder {
	color: #363636;
}
.form-wrapper-field .wpcf7-not-valid-tip {
	position: absolute;
	bottom: -24px;
	left: 15px;
}
.form-wrapper-field  ::placeholder {
	color: #363636;
}
.form-wrapper-field .fa-pen {
	position: relative;
	top: 3px;
}
@media (max-width: 767px){
	.left-right-wrapper {
		grid-template-columns: repeat(1, 1fr);
	}
}
/* contact css */
.contact-icon-list .elementor-icon-list-text {
	font-weight: 600;
}
.contact-icon-list .elementor-icon-list-item a {
	width: auto !important;
	padding-bottom: 8px;
	position:relative;
}
.contact-icon-list .elementor-icon-list-item a:before{
	content:'';
	display: block;
	position:absolute;
	left:0;
	right:0;
	bottom:0;
	height:1px;
	width:0;
	background:#1E293B;
	margin:auto;
	transition-duration: 1s;
}
.contact-icon-list .elementor-icon-list-item a:hover:before{
	width:100%;
}
.contact-icon-list .elementor-icon-list-item a:focus{
	border:none !important;
}
/* .contact-icon-list .elementor-icon-list-icon {
background: #fff;
padding: 9px;
border-radius: 100%;
width: 40px;
height: 40px;
margin-right: 10px;
} */
.contact-page-icon .elementor-grid-item{
	transition-duration: 1s;
	background: #fff !important;
	border-radius: 100% !important;
}

.contact-page-icon .elementor-grid-item:hover {
	transform: translateY(-10px);
	box-shadow: 0px 20px 50px -20px #8d8d8d;
}
.contact-page-icon .elementor-social-icon {
	background: #CE8526 !important;
}
.contact-page-icon svg {
	fill: #ffffff !important;
}
.contect-pageform-outer i {
	color: #CE8526;
}
.sec_heading h2 {
	font-size: 48px;
	line-height: 1.2em !important;
	font-weight: 900;
}
.accord_heading h2 {
	font-size: 72px;
	line-height: 1em !important;
	font-weight: 700;
}
.p_text p {
	font-size: 18px;
	line-height: 1.4em;
	font-weight: 700;
	margin-bottom: 1.5rem;
}
.p_text p:last-child {
	margin-bottom: 0;
}

/* Akram css end */

.about_accord summary.e-n-accordion-item-title {
	justify-content: space-between !important;
}
.about_accord .e-n-accordion-item-title-text {
	font-size: 42px;
	line-height: 1em;
	font-weight: 700;
	margin: 1rem 0;
}
.about_accord summary.e-n-accordion-item-title {
	padding: 0 !important;
	border-top: .125rem solid #000 !important;
}
.about_accord .e-con-full {
	padding: 0 0 1.5rem 0 !important;
	border: none;
}
.about_accord .e-n-accordion-item:last-child {
	border-bottom: .125rem solid #000 !important;
}
.about_accord .e-con-boxed.e-flex {
	padding: 0 0 30px  !important;
	border: none;
	width: 700px;
}
.about_accord .e-con-boxed.e-flex .e-con-inner {
	margin: 0;
	padding: 0;
}
.about_accord .e-n-accordion-item .elementor-element .elementor-widget-text-editor p {
	font-size: 18px;
	line-height: 1.5em;
	font-weight: 700;
	width: 700px;
}
.sticky_col {
	position: sticky;
	height: fit-content;
	top: 0;
}
@media (max-width: 425px) {
	.accord_heading h2 {
		font-size: 28px !important;
		padding-inline: 3%;
	}
	/* 	.about_accord .e-n-accordion-item-title-text {
	font-size: 28px !important;
	padding-inline: 13px;
} */
	.about_accord .e-n-accordion-item .elementor-element .elementor-widget-text-editor p {
		width: 100%;
		paddinh-inline: 14px;
	}
	.decs-width p {
		max-width: 900px !important;
	}
}
.page_hero_section .elementor-widget-text-editor p{
	font-size: 42px;
	line-height: 1.2em;
	font-weight: 700;
	max-width: 750px;
	width: 100%;
	margin-bottom: 0;
}
.page_hero_section .banner_heading .elementor-heading-title {
	font-size: 66px;
	line-height: 1;
}
.about_img_grid .elementor-image-box-content {
	display: none;
}
.about_img_grid {
	background: linear-gradient(0deg, rgba(255, 255, 255, 1) 20%, rgba(0, 0, 0, 1) 70%);
}



@media only screen and (max-width: 1122px) and (min-width: 768px){

}

@media only screen and (max-width: 767px) and (min-width: 480px){
	.page_hero_section .banner_heading .elementor-heading-title {
		font-size: 48px;
	}
	.page_hero_section .elementor-widget-text-editor p {
		font-size: 32px;
	}
	.sec_heading h2 {
		font-size: 38px;
	}
	.about_accord .e-n-accordion-item-title-text {
		font-size: 34px;
		margin: 1rem 0;
	}
	.about_accord .e-n-accordion-item .elementor-element .elementor-widget-text-editor p {
		width: 100%;
	}
}

@media screen and (max-width: 479px){
	.page_hero_section .banner_heading .elementor-heading-title {
		font-size: 30px;
	}
	.page_hero_section .elementor-widget-text-editor p {
		font-size: 26px;
	}
	.sec_heading h2 {
		font-size: 34px;
	}
	.about_accord .e-n-accordion-item-title-text {
		font-size: 24px;
		margin: 0.6rem 0;
	}
}